# stream-coding
make development more easy、relax and happy.
stream-coding 是一个以配置为优先为核心概念的辅助库，核心目的只为打造全配置化的项目开发。 

# API
## init(options)
	初始化业务执行的一些基本配置

### options
1. **appName**:[String] --应用名称
2. **busiLineConfigPath**:[String|Array]--当前应用所有执行的业务流的配置文件地址,为了开发过程中的团队沟通方便等因素可以将配置文件拆开，然后用数组表示;（目前只支持.js和.json)
3. **busiNodeRoot**:[String] --当前应用所有执行的业务流程处理器的根路劲
4. **plug_dao**:[Object|Array(Object)] :数据操作自定义/第三方模块
	1.  **engine**: mysql|postgres|mongodb|redis
	2.  **package**:[option] 待加载的包名（如果实现是在第三方的npm包的话则声明该包名）
    3.  **classPath**:[option] 待加载的地址(当前项目目录内的)
    4.  **ctorOption**:数据引擎连接的设置选项
    5.  **configFiles**:[String|Array]--(可选)此engine模式下的当前应用所有流程过程中所需的sql语句的配置文件地址
    6.  **alias** 插件别名--用于将此组件注入进processor处理器的时的调用名称
</br>**_<strong style="color:red;">note</strong>:package比classPath的优先级高，如果设置了package那么则不会再去读取classPath的地址_**
5. **plug_remoteMsg**:[Object|Array(Object)]:自定义/第三方 远程信息调用、传输
	1.  **engine**: rabbitmq|protobuf|redis
	2.  **package**:[option] 待加载的包名（如果实现是在第三方的npm包的话则声明该包名）
    3.  **classPath**:[option] 待加载的地址(当前项目目录内的)
    4.  **ctorOption**:通信连接的设置选项   
    5.  **configFiles**:[String|Array]--(可选)此engine模式下相关逻辑配置文件地址
    6.  **alias** 插件别名--用于将此组件注入进processor处理器的时的调用名称
6. **plug_thirdIntf**: 第三方接口调用定义
	1.  **alias**: [String]	第三方接口别名
	2.  **ssl**:[String] https设置- 如果此设置为空,那么默认采取http方式
     </br>2.1 **key**: 公钥地址 例: ssl-key.pem
	 </br>2.2 **cert**: 证书地址 例: ssl-cert.pem
	3.  **url**: [String] 第三方请求的url
	4.  **method**: [String] 请求第三方地址的动作:'GET|POST|DELETE|PUT|OPTION'，默认是GET
	5.  **configFiles**:[String] 调用第三方接口所需参数配置文件地址
	6.  **encode**:返回数据的编码格式 默认接收什么返回什么;
	