"use strict";

/**
 * 数据操作交互对象 Data Interaction Object
 * @constructor
 */
module.exports = function DIO() {
    /**
     * sql语句
     * @type {null}
     */
    this.sql = null;
    /**
     * 参数值 数组类型：例如 [1,2,3] 或 [[1,2,3],[1,2,3]] 后者形式针对批量导入的时候
     * @type {null}
     */
    this.values = null;
    /**
     * sql操作的类型
     *  枚举:
     *    detail:   详情
     *    list:     列表
     *    insert:   新增
     *    update:   修改
     *    delete:   删除
     *    recycle:  回收
     *    restore:  还原
     * @type {null}
     */
    this.type = null;
    /**
     * 存储过程名称
     * @type {null}
     */
    this.procedure = null;
};