/**
 * 所有业务逻辑处理器的基类
 */
"use strict";

var path = require('path'),
    Promise = require("bluebird");

function BaseProcessor() {
    this.cio = null;
}

BaseProcessor.prototype = {
    constructor: BaseProcessor,
    /**
     * 子类需要重写的具体细节业务处理的方法
     */
    process: function () {
    }
};

Object.defineProperties(BaseProcessor.prototype, {
    process: {
        configurable: false
    }
});

module.exports = BaseProcessor;